Subject: RE: tty problems
From: [email-masked] (Rick Rankin)

13 Nov 1998 11:37:10 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Dr. Volker Zell" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>

I've seen something very similar to this as well. Over the years, I've
gotten into the habig of hitting Ctrl-C to abort a partially typed command.
This worked fine on b19, but seems to hang b20 bash. I'm not sure that I've
been patient enough to see if it eventually recovers. This in on NT4/SP3
with Sergey's latest coolview and CYGWIN=tty notitle binmode.

Interestingly enough, at home under '98 with CYGWIN=notty notitle binmode
glob, pressing Ctrl-C pauses bash until the control key is released.

Just another data point.

--
Rick Rankin
[email-masked]

>
> I'm using Cygwin B20 with the latest coolview (8.11.98) under NT 4 (SP3).
> I have the following set in the .bat file which starts bash:
>
>   set CYGWIN=tty binmode title ntea mixed
>
> When I'm at the bash prompt and press Ctrl-C without any program running,
> the shell hangs for about 30 seconds and then returns back to the prompt.
> When I then press Return one time I get 'Use "exit" to leave the shell.'
> see below:
>
> vzell:/temp>                                     <-- Ctrl-C
> vzell:/temp> Use "exit" to leave the shell.      <-- Return
> vzell:/temp>
>
>
> When executing the following command
>
> vzell:/temp> find /
>
> and pressing Ctrl-Z, bash hangs forever.
>
>
> When starting bash and then starting xterm (the one from the X11R6.4
> distribution from Sergeys site) I get nothing in the first case, (whereas
> I got a new prompt in B19 with an EXIT status 1) and in the
> second case I get what I would expect:
>
> [1]+  Stopped                 find /
>
>
> By the way I have the Ctrl-C problem (bash hanging about 30
> seconds) even in the
> original B20 bash with
>
>   CYGWIN=  tty binmode title ntea
>
>
> Any hints ??
>
> Ciao
>   Volker
>
>
> PS: Right now I'm testing another case:
>
>
> vzell:/temp> grep e *  <-- This will take a long time)
>
>
> In this case the B19 bash (with the latest B19 coolview), the
> original B20 bash
> and the latest B20 coolview bash hangs immediatly after pressing
> Ctrl-Z ????
>
>
> --
> __________________________________________________________________
> _________
>
>    "Is a dream a lie if it don't come true or is it something worse ..."
>
>                                                  Dr. Volker Zell
>       __ /  _  /  __  / ___/  /    ___/          -- Trainer --
>      /  /  /__/  /_  / /     /    __/            Oracle Germany
>    ____/__/ _|__/ __/____/ ____/____/            Paul-Thomas-Str.58
>                                                  D-40599 D|sseldorf
>    e-Mail: mailto:[email-masked]
   WWW:
http://trgsund4.de.oracle.com/
   Tel:    (+49) 211-74839-414
   Fax:    (+49) 211-74839-44
___________________________________________________________________________

The statements and opinions expressed here are my own and do not necessarily
represent those of Oracle Corporation.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".